Appimages stopped working for me, can't figure out why


#1

Some programs I using the AppImage version of on Arch stopped working. I’m not sure what I changed, but I assume something might have changed during the system upgrade I performed today.

When I run the subsurface AppImage downloaded from appimage.org, it displays the following message:

Started in /home/pyotr/Custom/subsurface ...
Moving to /tmp/.mount_l8CGSc ...
Executing '/tmp/.mount_l8CGSc/usr/bin/subsurface.wrapper' ...
counting args in %1$s/usr/lib/:%1$s/usr/lib/i386-linux-gnu/:%1$s/usr/lib/x86_64-linux-gnu/:%1$s/usr/lib32/:%1$s/usr/lib64/:%1$s/lib/:%1$s/lib/i386-linux-gnu/:%1$s/lib/x86_64-linux-gnu/:%1$s/lib32/:%1$s/lib64/:%2$s
counting args in %1$s/usr/lib/i386-linux-gnu/:%1$s/usr/lib/x86_64-linux-gnu/:%1$s/usr/lib32/:%1$s/usr/lib64/:%1$s/lib/:%1$s/lib/i386-linux-gnu/:%1$s/lib/x86_64-linux-gnu/:%1$s/lib32/:%1$s/lib64/:%2$s
counting args in %1$s/usr/lib/x86_64-linux-gnu/:%1$s/usr/lib32/:%1$s/usr/lib64/:%1$s/lib/:%1$s/lib/i386-linux-gnu/:%1$s/lib/x86_64-linux-gnu/:%1$s/lib32/:%1$s/lib64/:%2$s
counting args in %1$s/usr/lib32/:%1$s/usr/lib64/:%1$s/lib/:%1$s/lib/i386-linux-gnu/:%1$s/lib/x86_64-linux-gnu/:%1$s/lib32/:%1$s/lib64/:%2$s
counting args in %1$s/usr/lib64/:%1$s/lib/:%1$s/lib/i386-linux-gnu/:%1$s/lib/x86_64-linux-gnu/:%1$s/lib32/:%1$s/lib64/:%2$s
counting args in %1$s/lib/:%1$s/lib/i386-linux-gnu/:%1$s/lib/x86_64-linux-gnu/:%1$s/lib32/:%1$s/lib64/:%2$s
counting args in %1$s/lib/i386-linux-gnu/:%1$s/lib/x86_64-linux-gnu/:%1$s/lib32/:%1$s/lib64/:%2$s
counting args in %1$s/lib/x86_64-linux-gnu/:%1$s/lib32/:%1$s/lib64/:%2$s
counting args in %1$s/lib32/:%1$s/lib64/:%2$s
counting args in %1$s/lib64/:%2$s
  using LD_LIBRARY_PATH=/tmp/.mount_l8CGSc/usr/lib/:/tmp/.mount_l8CGSc/usr/lib/i386-linux-gnu/:/tmp/.mount_l8CGSc/usr/lib/x86_64-linux-gnu/:/tmp/.mount_l8CGSc/usr/lib32/:/tmp/.mount_l8CGSc/usr/lib64/:/tmp/.mount_l8CGSc/lib/:/tmp/.mount_l8CGSc/lib/i386-linux-gnu/:/tmp/.mount_l8CGSc/lib/x86_64-linux-gnu/:/tmp/.mount_l8CGSc/lib32/:/tmp/.mount_l8CGSc/lib64/:
  using PATH=./bin/:./sbin/:./games/:../bin/:../sbin/:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl
  using PYTHONPATH=./share/pyshared/:
  using XDG_DATA_DIRS=./share/:
counting args in %1$s/usr/lib/qt4/plugins/:%1$s/usr/lib/i386-linux-gnu/qt4/plugins/:%1$s/usr/lib/x86_64-linux-gnu/qt4/plugins/:%1$s/usr/lib32/qt4/plugins/:%1$s/usr/lib64/qt4/plugins/:%1$s/usr/lib/qt5/plugins/:%1$s/usr/lib/i386-linux-gnu/qt5/plugins/:%1$s/usr/lib/x86_64-linux-gnu/qt5/plugins/:%1$s/usr/lib32/qt5/plugins/:%1$s/usr/lib64/qt5/plugins/:%2$s
counting args in %1$s/usr/lib/i386-linux-gnu/qt4/plugins/:%1$s/usr/lib/x86_64-linux-gnu/qt4/plugins/:%1$s/usr/lib32/qt4/plugins/:%1$s/usr/lib64/qt4/plugins/:%1$s/usr/lib/qt5/plugins/:%1$s/usr/lib/i386-linux-gnu/qt5/plugins/:%1$s/usr/lib/x86_64-linux-gnu/qt5/plugins/:%1$s/usr/lib32/qt5/plugins/:%1$s/usr/lib64/qt5/plugins/:%2$s
counting args in %1$s/usr/lib/x86_64-linux-gnu/qt4/plugins/:%1$s/usr/lib32/qt4/plugins/:%1$s/usr/lib64/qt4/plugins/:%1$s/usr/lib/qt5/plugins/:%1$s/usr/lib/i386-linux-gnu/qt5/plugins/:%1$s/usr/lib/x86_64-linux-gnu/qt5/plugins/:%1$s/usr/lib32/qt5/plugins/:%1$s/usr/lib64/qt5/plugins/:%2$s
counting args in %1$s/usr/lib32/qt4/plugins/:%1$s/usr/lib64/qt4/plugins/:%1$s/usr/lib/qt5/plugins/:%1$s/usr/lib/i386-linux-gnu/qt5/plugins/:%1$s/usr/lib/x86_64-linux-gnu/qt5/plugins/:%1$s/usr/lib32/qt5/plugins/:%1$s/usr/lib64/qt5/plugins/:%2$s
counting args in %1$s/usr/lib64/qt4/plugins/:%1$s/usr/lib/qt5/plugins/:%1$s/usr/lib/i386-linux-gnu/qt5/plugins/:%1$s/usr/lib/x86_64-linux-gnu/qt5/plugins/:%1$s/usr/lib32/qt5/plugins/:%1$s/usr/lib64/qt5/plugins/:%2$s
counting args in %1$s/usr/lib/qt5/plugins/:%1$s/usr/lib/i386-linux-gnu/qt5/plugins/:%1$s/usr/lib/x86_64-linux-gnu/qt5/plugins/:%1$s/usr/lib32/qt5/plugins/:%1$s/usr/lib64/qt5/plugins/:%2$s
counting args in %1$s/usr/lib/i386-linux-gnu/qt5/plugins/:%1$s/usr/lib/x86_64-linux-gnu/qt5/plugins/:%1$s/usr/lib32/qt5/plugins/:%1$s/usr/lib64/qt5/plugins/:%2$s
counting args in %1$s/usr/lib/x86_64-linux-gnu/qt5/plugins/:%1$s/usr/lib32/qt5/plugins/:%1$s/usr/lib64/qt5/plugins/:%2$s
counting args in %1$s/usr/lib32/qt5/plugins/:%1$s/usr/lib64/qt5/plugins/:%2$s
counting args in %1$s/usr/lib64/qt5/plugins/:%2$s
  using QT_PLUGIN_PATH=/tmp/.mount_l8CGSc/usr/lib/qt4/plugins/:/tmp/.mount_l8CGSc/usr/lib/i386-linux-gnu/qt4/plugins/:/tmp/.mount_l8CGSc/usr/lib/x86_64-linux-gnu/qt4/plugins/:/tmp/.mount_l8CGSc/usr/lib32/qt4/plugins/:/tmp/.mount_l8CGSc/usr/lib64/qt4/plugins/:/tmp/.mount_l8CGSc/usr/lib/qt5/plugins/:/tmp/.mount_l8CGSc/usr/lib/i386-linux-gnu/qt5/plugins/:/tmp/.mount_l8CGSc/usr/lib/x86_64-linux-gnu/qt5/plugins/:/tmp/.mount_l8CGSc/usr/lib32/qt5/plugins/:/tmp/.mount_l8CGSc/usr/lib64/qt5/plugins/:
  using PERLLIB=./share/perl5/:./lib/perl5/:
  using GSETTINGS_SCHEMA_DIR=./share/glib-2.0/schemas/:
zenity, kdialog, Xdialog missing. Skipping /tmp/.mount_l8CGSc/usr/bin/subsurface.wrapper.
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Available platform plugins are: linuxfb, minimal, offscreen, xcb.

Reinstalling the application may fix this problem.
Aborted

I don’t remember uninstalling anything related to qt. Any help would be appreciated.


#2

Do you see this with other applications as well? Which ones?


#3

I’ll be honest, I don’t use many. I was using a bootleg music ripping program that comes in an appimage, and I suspected the error was specific to appimages. I tried the example one from appimage.org, and it failed to open with a similar error, although less verbose:

zenity, kdialog, Xdialog missing. Skipping /tmp/.mount_deezloUfgtj9/AppRun.
Segmentation fault (core dumped)

Just now, I tried using an etcher AppImage and it works. So now I’m thinking it may just be coincidence. But I must have something wrong with my setup if the appimage used as a demo on the official site isn’t working, so it would be nice to get that resolved.

Edit: I installed zenity, which got rid of that error message. For my music program, all I’m getting now is a core dump, and with subsurface, I’m still getting

This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

and then a core dump. So I have no idea if it’s the same issue causing both, but I am mainly just looking for help with getting subsurface to work, and I’ll see if it fixes the other thing.


#4

Please report the error to the author of the AppImage (e.g. your Music program), thanks.